#pragma once

#include <maps/wikimap/mapspro/services/mrc/libs/db/include/eye/frame.h>

namespace maps::mrc::eye {

size_t handleImportSignDetection(
    pqxx::transaction_base& txn,
    const db::eye::Frames& frames);

size_t handleImportTrafficLightDetection(
    pqxx::transaction_base& txn,
    const db::eye::Frames& frames);

size_t handleImportHouseNumberDetection(
    pqxx::transaction_base& txn,
    const db::eye::Frames& frames);

size_t handleImportRoadMarkingDetection(
    pqxx::transaction_base& txn,
    const db::eye::Frames& frames);

} // namespace maps::mrc::eye
